AutoCAD Inventor :: Changing Size Of Component After Assembly
Mar 10, 2013
I just download the AutoDesk Inventor 2012 but I didn't use this software before. I just download an example and refer youtube to create my own parts. But when I place all parts together, i.e. assemble all parts, I find that the parts are not looks good because the size either too big or too small. I try the whole afternoon but I still can't find the way to change the size of an individual component.
I am trying to make port rims for pipes that can be swapped in and out of an assembly. However, the ports will all be different sizes and located differently so I need the cut to be part of the port rim component, but affect the entire assembly it is part of. I've been trying to get this to work for the better part of a day now,Here's a picture of what im talking about. I'm running Inventor 2008 by the way.
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
I'm working on an iLogic application for an assembly. I need some code to edit a particular component occurrence and then open one of that component's iLogic forms.
Basically automating the keystrokes that I'm doing manually (Select, right-click and edit, then open the iLogic form for that part). Do I have to scroll through all occurrences in the browser or is there a way to call that component by name?
I use Inventor 2013 as a single user, my company is about to invest in Vault and we are about to introduce a new automated Part Numbering Scheme as well.
I use a spreadsheet and iLogic rules as ‘Product Configurator’ to generate new iterations of my master assembly.
Now, the Assembly Browser in Inventor may display my assembly tree and its components by Part No or File Name or Default Browser Nod. See attached image.
This can be selected and set on the ribbon: click Assemble tab Productivity panel Rename Browser Nodes.
For example at Top Level Assy I have a rule to run other rules in components. Should I change the displayed components names on the Assy Tree the rules loose reference. So they wouldn’t run.
PANEL ASSY 2ndS:1 is a component with a rule in it "Tie Rods & Washer Plates 2ndS"
This is the default Browser Nod Name and it could also be
- AAA-0111 --> Part No
- PANEL ASSY 2ndS.iam:1 --> File name
- PANEL ASSY 2ndS:1 --> Default
I suppose this can be avoided by not changing from Default, but what an inconvenience should we have to.Unless if there is an other way to reference our components in iLogic?
I was wondering if there was a way to suppress a component in the main assembly, and keep it from appearing in the parts list whenever I create one in the idw. environment? I am creating an iassembly, and generating different file versions from the main assembly in my table. In order for me to create different versions off of this main assembly, it is required that I suppress certain sub assemblies or components. I can't get the suppressed componenets to not show up in my parts list when I create it. I turned off enabled and visibility and it still appears in the BOM. Creating a different level of detail doesn't even solve this.
I know I can manually not have it show up in the BOM, but it becomes very time consuming trying to make certain rows not appear in the BOM table.
I have an iassembly model with iparts in it. I am trying to make one absolutely complete model rather than have several models with redundant parts in it. For example having the full assembly and making a Top Line Drawing from that, but then also making a drawing from the individual components.
So for example I have a Top Line assembly drawing with a tank with all the fittings, gauges, and instrument panels shown. Then I would want to make another set of drawings showing the tank itself, fittings, gauges, and the instrument panel. My main issue is with the tank drawing; the tank drawing is supposed to be simply the tank so I would need to remove the fittings, gauges, instrument panel etc.
I would like to know if there is a way to "Hide" or "Supress" the components that I do not need for a particular drawing without taking them out of the model; yet at the same time removing it from the BOM because they wont be necessary at this level.
I have an assembly that is nearly completed. I am trying to change the lengths of two side rails (arrow pointing to one of them). On each end of these rails are several components that have been constrained to the rails.
When I change the length of the rails, many of the constraints show errors. I expected that all components would move with the ends of the rails as they are shortened since that is where they were constrained, but this has not happened.
The constraint recovery tool has not been useful to me.
I have an i assembly with some lengthy and unique ilogic to control what parts are included / excluded based on user inputs in a form. To begin, the program includes all components, and then excludes the ones that aren't needed. This is basically, briefly what the first part of that looks like:
For Each oCompOcc In oCompDef.Occurrences i=i+1 'Include all currently excluded components If oCompOcc.Excluded=True Then oAssObj=oCompDef.Occurrences.Item(i) oDoc.SelectSet.Select(oAssObj) ThisApplication.CommandManager.ControlDefinitions.Item("ExcludeCtxCmd").Execute()InventorVb.DocumentUpdate() Else End If Next InventorVb.DocumentUpdate()
So this works just fine, mostly. I run into an issue with the component occurrences that are within patterns (I have 2 patterns - 1 circular and 1 rectangular). This code will "Include" all occurrences inside an "Excluded" pattern, but the pattern itself remains "Excluded". In other words, in the browser, the pattern name appears greyed out and crossed out, but all the elements and the components within them appear "alive", so to speak. But the BOM indicates a Qty. of ZERO for these components since the pattern that.
I can toggle include / exclude of patterns using the same method:
I have a wall of frames, if you will, and some frames within this wall are different sizes. When doing the BOM, I want to be able to combine anything that has the same stock number as well as the same cut length. The only way I have thought to do this so far is to cycle through each stock number and if the cut length is the same, I override the quantity of one and change the BOM Structure of the other to "Reference".
How can I change the BOM Structure to reference without selecting the part or going through the BOM Editor? Is there some VBA code I could utilize? I am striking out by solely using iLogic.
I have a simple code below trying to iterate through all the assembly component and copy the iProperties > Occurrece Name (i.e. "Part1:1") and paste it to iProperties > Project tab > Part Number field for each individual part in assembly.
' set a reference to the assembly component definintion. ' This assumes an assembly document is open. Dim oAsmCompDef As AssemblyComponentDefinition oAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition
'Iterate through all of the occurrences Dim oOccurrence As ComponentOccurrence For Each oOccurrence In oAsmCompDef.Occurrences Dim oName As String oName = oOccurrence.Name iProperties.Value(oOccurrence.Name, "Project", "Part Number") = oName MessageBox.Show(oOccurrence.Name, "iLogic") Next
The Debug message shows the correct output for every iteration, but when I check each part's properties they all have the Occurrence Name of the last part in the aseembly.
I have geometry not updating after replacing a component in an assembly.
I have drawn part A and in the assembly environment I have projected cut edges on a XY Plane in a 2D Sketch.
After replacing component A in the assembly with part B (not identical but very close) i was expecting the projected geometry to update. But it doesn't. The "local update" button is greyed out in assembly mode. also the Rebuild command does not seem to update the projected geometry.
I can see the new 3d shape and the old projected geometry. How to get the projected geometry to update?
I want to import a component consisting of about 50 different parts into an assembly that is about 300 different parts.
When I "place as component" into the assembly it imports into the assembly fine as a component.
When I make an exploded view I can split the component into seperate parts but when I make an .idw file the parts list just shows the component as one part number.
I would like to the .idw to show all of the parts that are in the component separately.
Is there some kind of expansion menu or do I have to re-make the component in the assembly file?
I have a part called "bracket" which has a multi-value parameter "mass" which can be 100, 200, 300, or 400 and controls the width of the bracket.I have an assembly into which I have placed thee brackets.
How do I set different parameters for each of the instances of "bracket"?I want one bracket with mass = 100, one with mass = 200, and one with mass = 300, such that I have three brackets of different widths.
I must not be searching on the right text in Google because I find only ways to change the value of the parameter within the core component (such that all brackets change and end up the same width).
I am trying to switch component rows within my assembly file but can't seem to do so. All of the files are generated, yet and still I am not able to change component rows based on user parameters. Files are attached.
My code is as follow in Ilogic
MultiValue.Setlist("Material", "1", "2") If Material = "2" iPart.ChangeRow("RING", "RING-03:1") End If
I have a damper, I started it with the bottom frame member, which was grounded at origins when it was placed and I built the rest of the damper from there. All my constraints for blades and linkages and all related parts were able to move (with the damper held in place in "space" by the grounded frame member.
For parts list purposes I need all 4 sides of the frame to be one BOM item so I demoted the 4 frame pieces as one inseparable assembly.
After that all motion is lost in the main assembly and I can drag it all over "space" since I lost the bottom frame member ground point. I can ground the demoted frame assembly to lock it down, and drive the constraints to make the damper parts move to create positional representations.
I guess I'm just wondering if I'm not really supposed to be able to "move" components arbitrarily and I should just be driving the constraints all the time in the first place...I'm just not sure why the motion is lost after the initial ground point is lost.
I have a sketch on a component. That component is being used in an assembly. The assembly drawing (.idw) does not show the sketch on that component. I have made them visible on the component, but don't want it visible on the assembly model. (only the assembly drawing)
I need a way to run a rule which is saved in my top-level assembly using iLogic rule which is saved in a part file in the parent assembly.
I have even tried using an external rule in a txt file, but that gives the error "Component: This function can only be used in an assembly." - which makes no sense to me. I hope I am just missing something simple. I cant believe with all its other strengths, that iLogic would be so limited in that regard. Why is there not simply a snippet under the 'Run Other' that allows you to specify an assembly file and the rule name? (like there is for running a rule in a component from the assembly)
Windows 7 pro - SP 1 (x64) Processor Intel(R) Core(TM) 2 Duo Pro CPU E7600 @ 3.06 GHz 3.07 GHz RAM = 8GB Autodesk Inventor 2012 Ultimate Design Suite
I have an assembly with a couple of parts in. Some of these parts are IParts (NOT Content Centre parts), and they live in my project workspace.
In some case I am able (within the assembly) to right click on the table icon below the part in the assembly tree and change the component to a different configuration. However, I other case I am not able to change.
In the cases where I cannot change, when I right click, IV does not even present the option to "change component".
I am not sure if this will affect the situation or not, but some of the parts were inserted into the assembly as IParts, whereas others were not IParts, but I changes them to IParts after they were inserted into the assembly. I am not sure which ones were inserted as IParts and which weren't, but perhaps this is an issue. i.e. parts that were inserted as IParts originally can be changed, but those that were not IParts when inserted and later converted cannot be changed?
I have a part file ("part1.ipt") that has a user parameter called "Height". When I open this file as a part document, I can modify the "Height" parameter to change the height of the part. This functionality works great:
Set oPartDoc = oApp.Documents.Open(sPartFileName, True) Set oParameters = oPartDoc.ComponentDefinition.Parameters 'change part height to 30 cm oParameters.Item("Height").Expression = 30
Now, I am wanting to add this part to an ASSEMBLY document, then change the parameter to 30, but have been unable to do it. I have this so far:
Dim oAsmCompDef As AssemblyComponentDefinition Set oAsmCompDef = oApp.ActiveDocument.ComponentDefinition Dim oOcc As ComponentOccurrence Set oOcc = oAsmCompDef.Occurrences.Add(sPartFileName, oMatrix)
After I add all the parts, I highlight a part in the assembly pane, I click on FxParameters but I don't see the User Parameters for the part. Are the User Parameters not available when a part is placed into an assembly?
This assembly will have multiple parts added from the same file name, but the "Height" parameter needs to be modified for each occurrence.
I recently found an error in my top level assembly which is that the origin axes x & z are pointing in the wrong direction (x-axis points in the negative x direction and the z-axis points in the negative z direction). how to "flip" the origin axes of an assembly?
Additional information: I have a top level lattice assembly that consists of a number of lattices (a part to which components are constrained) with the lattice origin planes constrained flush with the top level lattice assembly origin planes. This top level assembly is used in many other assemblies to constrain entire systems. Re-constraining my lattices correctly inside of the top assembly is infeasible.
Is there a standard command or command sequence that allows for the changing of a parameter, say length, of a component from within an assembly. I'm looking to compile a code that allows for a template to be created, then that template will do changes based on text box input and then save out the modified parts with new part numbers.
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012 Dell Precision T7500 Workstation Xeon Processor 16 GB of RAM Nvidia Quadro FX 5800 Windows 7 x64
II need a way to tell if a component occurence is a virtual component.
I'm using a For Each loop to cycle through all of the components in an assembly, and if the component is itself an assembly to set the LOD to "Custom". I'm using the definition document descriptor object for this. It all woks fine until the loop comes across a virtual component which doesn't have a definition document, so I need a way to check if the component is virtual and needs to be skipped.Here's the
Option ExplicitImports Inventor.LevelOfDetailEnumSub MainiLogicVb.UpdateWhenDone = TrueDim doc As AssemblyDocumentDim oLOD As LevelOfDetailRepresentationDim oAsmCompDef As ComponentDefinitionDim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesdoc = ThisDoc.DocumentIf. [code]....
I received the attached dxf file and want to turn it into a component assembly for dynamic modeling. I was hoping to turn it into a dwg in AutoCAD and then importing it into Inventor. When i load the dxf file in AutoCAD, it seems that only the surface mesh is available, and no components are listed. I tried using the "Convert to Solid" tool, but the console output indicates that the "objects cannot be converted".
Is there any way to identify the individual components, or should i have been given another file?